property pMemberNormal, pMemberRollover, gowhere, soundMember, soundChannel, loops, pCursorChange, pCursorChoice, pSpriteMember, pAddNumber
global gPhotolist

on getBehaviorDescription me
  return "Rollover, Sound and  goto Marker" & RETURN & RETURN & "Just add to Sprite and fill-in Properties"
end

on getBehaviorTooltip me
  return "Use with any sprite member."
end

on getPropertyDescriptionList me
  xlist = [:]
  addProp(xlist, #soundMember, [#comment: "Sound to play", #format: #sound, #default: VOID])
  addProp(xlist, #soundChannel, [#comment: "Sound channel", #format: #integer, #default: 3, #range: [2, 3, 4]])
  addProp(xlist, #loops, [#comment: "How many loops:", #format: #integer, #default: 1, #range: [1, 2, 3, 4, 5, 6, 7, 8]])
  addProp(xlist, #pCursorChoice, [#default: 1, #format: #boolean, #comment: "Do you want a cursor change"])
  addProp(xlist, #pCursorChange, [#format: #cursor, #comment: "Please choose cursor", #default: 280])
  addProp(xlist, #pSpriteMember, [#comment: "Type in which sprite number will roll:", #format: #integer, #default: VOID])
  addProp(xlist, #pAddNumber, [#comment: "Type in which variable:", #format: #string, #default: VOID])
  return xlist
end

on spriteRoll
  rollSprite = pSpriteMember
  if rollSprite > 0 then
    sprite(rollSprite).memberNum = sprite(rollSprite).memberNum + 1
  else
    nothing()
  end if
end

on spriteLeave
  unrollSprite = pSpriteMember
  if unrollSprite > 0 then
    sprite(unrollSprite).memberNum = sprite(unrollSprite).memberNum - 1
  else
    nothing()
  end if
end

on changeCur
  if pCursorChoice = 1 then
    cursor(pCursorChange)
  else
    cursor(0)
  end if
end

on choosePic
  gPhotolist.add(pAddNumber)
end

on playMySound me
  soundstatus = sound(soundChannel)
  if soundstatus = 4 then
    sound(soundChannel).play()
  else
    sound(soundChannel).play([#member: soundMember, #loopCount: loops])
  end if
end

on mouseUp me
  playMySound()
  endSaves()
  cursor(0)
end

on mouseEnter me
  changeCur()
end

on endSaves
  if gPhotolist.getPos(pAddNumber) > 0 then
    gPhotolist.deleteOne(pAddNumber)
    sprite(pSpriteMember).member = member("End_Save")
  else
    gPhotolist.add(pAddNumber)
    sprite(pSpriteMember).member = member("End_SaveIndicator")
  end if
  updateStage()
end

on mouseLeave
  cursor(0)
end

on enterFrame me
  if gPhotolist.getPos(pAddNumber) > 0 then
    sprite(pSpriteMember).member = member("End_SaveIndicator")
  else
    sprite(pSpriteMember).member = member("End_Save")
  end if
end
