property gowhere, soundMember, soundChannel, loops, pCursorChange, pCursorChoice, spriteNum, mySprite

on getBehaviorDescription me
  return "Rollover,Sound, Marker & Cursor" & RETURN & RETURN & "Just place on Sprite and fill-in Properties"
end

on getBehaviorTooltip me
  return "Use with any sprite member."
end

on getPropertyDescriptionList me
  xlist = [:]
  addProp(xlist, #gowhere, [#comment: "Navigate to which Frame Label?:", #format: #marker, #default: #bitmap])
  addProp(xlist, #soundMember, [#comment: "Sound to play", #format: #sound, #default: VOID])
  addProp(xlist, #soundChannel, [#comment: "Sound channel", #format: #integer, #default: 3, #range: [1, 2, 3, 4]])
  addProp(xlist, #loops, [#comment: "How many loops:", #format: #integer, #default: 1, #range: [1, 2, 3]])
  addProp(xlist, #pCursorChoice, [#default: 1, #format: #boolean, #comment: "Do you want a cursor change?"])
  addProp(xlist, #pCursorChange, [#format: #cursor, #comment: "Cursor to change to", #default: 280])
  return xlist
end

on beginSprite me
  mySprite = sprite(me.spriteNum)
end

on changeCur
  if pCursorChoice = 1 then
    cursor(pCursorChange)
  else
    cursor(0)
  end if
end

on playMySound me
  soundstatus = sound(soundChannel)
  if soundstatus = 4 then
    sound(soundChannel).play()
  else
    sound(soundChannel).play([#member: soundMember, #loopCount: loops])
  end if
end

on mouseUp me
  playMySound()
  go(gowhere)
  cursor(0)
end

on mouseEnter me
  sprite(mySprite).memberNum = sprite(mySprite).memberNum + 1
  changeCur()
end

on mouseLeave me
  cursor(0)
  sprite(mySprite).memberNum = sprite(mySprite).memberNum - 1
end
